#!/usr/bin/python3

from json import load
from os import environ


def import_from_default_path():
    try:
        with open('config/config.json') as config_file:
            return load(config_file)
        config_file.close()
    except Exception as e:
        print("Couldn't find the config file.")
        exit(1)


def import_config_file():
    if('TMT_CONFIG_PATH' in environ.keys()):
        try:
            with open(f'{environ["TMT_CONFIG_PATH"]}') as config_file:
                return load(config_file)
            config_file.close()
        except:
            return import_from_default_path()
    else:
        return import_from_default_path()
